module Api.V1.Cached (request) where

import Relude hiding (Reader, ask)

import Api.V1 qualified as Api
import Api.V1.Types
import Data.Cache (Cache, fetchWithCache)
import Polysemy (Embed, Members, Sem)
import Polysemy.Error (runError)
import Polysemy.Reader (Reader, ask)
import Servant.Client.Streaming (ClientError)
import Servant.Polysemy.Client (ServantClient)

request ::
  Members
    '[ ServantClient
     , Reader (Cache [Request] (Either ClientError [Response]))
     , Embed IO
     ]
    r =>
  [Request] ->
  Sem r (Either ClientError [Response])
request req = do
  cache <- ask @(Cache [Request] (Either ClientError [Response]))
  fetchWithCache cache req (runError . Api.request)
