module Feed.V1.Core (App) where

import Relude hiding (Reader)

import Api.V1.Types (Request, Response)
import Data.Cache (Cache)
import Polysemy (Embed, Final, Sem)

-- import Polysemy.Error (Error)
import Polysemy.Reader (Reader)
import Servant.Polysemy.Client (ClientError, ServantClient)
import Servant.Server

type App =
  Sem
    [ Reader (Cache [Request] (Either ClientError [Response]))
    , ServantClient
    , -- , Error ClientError
      Embed IO
    , Final Handler
    ]
