{-# LANGUAGE Strict #-}

module Servant.API.ContentTypes.AtomFeed (
  IsAtomFeed (toAtomFeed)
  , AtomFeed
) where

import Relude

import Network.HTTP.Media ((//))
import Servant.API.ContentTypes
import Text.Atom.Feed
import Text.Atom.Feed.Export

class IsAtomFeed a where
  toAtomFeed :: a -> Feed

data AtomFeed

instance Accept AtomFeed where
  contentType _ = "application" // "atom+xml"

instance IsAtomFeed a => MimeRender AtomFeed a where
  mimeRender _ =
    toAtomFeed
      >>> textFeed
      >>> fromMaybe (error "Error serializing feed to XML")
      >>> encodeUtf8
